Summary:	A GNOME development IDE for C/C++
Name:		anjuta
Epoch:		1
Version:	2.28.2.0
Release:	1%{?dist}
License:	GPLv2+
Group:		Development/Tools
URL:		http://www.anjuta.org/
Source0:	http://download.gnome.org/sources/anjuta/2.28/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# https://bugzilla.gnome.org/600407
Patch0:		%{name}-%{version}-libxml.patch

Obsoletes:	gnome-build <= 2.24.1-1.fc10
Provides:	perl(GBF::Make) = %{version}-%{release}

Requires:	GConf2
Requires:	autogen
Requires:	ctags
Requires:	git
Requires:	glade3-libgladeui >= 3.5.7
Requires:	gnome-icon-theme
Requires:	hicolor-icon-theme
Requires:	libgda-sqlite >= 3.99.7
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(post):	/sbin/ldconfig
Requires(preun):  GConf2
Requires(postun): /sbin/ldconfig

BuildRequires:	GConf2-devel
BuildRequires:	ORBit2-devel
BuildRequires:	autogen
BuildRequires:	desktop-file-utils
BuildRequires:	devhelp-devel >= 0.22
BuildRequires:	gettext
BuildRequires:	glade3-libgladeui-devel >= 3.6.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtksourceview2-devel >= 2.4.0
BuildRequires:	intltool
BuildRequires:	libgda-devel >= 4.0.0
BuildRequires:	libgdl-devel >= 2.26.0
BuildRequires:	libuuid-devel
BuildRequires:	neon-devel
BuildRequires:	perl(Locale::gettext)
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	subversion-devel
BuildRequires:	unique-devel >= 1.0.0
BuildRequires:	vte-devel

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE) on
GNOME Desktop Environment and features a number of advanced programming
facilities. These include project management, application and class wizards,
an on-board interactive debugger, powerful source editor, syntax highlighting,
intellisense autocompletions, symbol navigation, version controls, integrated
GUI designing and other tools.

The documentation for this package is in %{name}-doc. Some extra
plugins are in %{name}-extras.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	gtk-doc
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains development files for %{name}.

%package doc
Summary:	Documentation for Anjuta DevStudio
Group:		Documentation

Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post):	scrollkeeper
Requires(postun): scrollkeeper

BuildArch:	noarch

%description doc
Documentation for Anjuta DevStudio provided in DocBook format.

%prep
%setup -q
%patch0 -p1

# Filter unwanted Provides.
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Make)/d' \
  -e '/perl(Make::Target)/d' \
  -e '/perl(Make::Rule::Vars)/d' \
  -e '/perl(Make::Rule)/d'
EOF

%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires.
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Make)/d' \
  -e '/perl(Make::Target)/d' \
  -e '/perl(Make::Rule::Vars)/d' \
  -e '/perl(Make::Rule)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

# Suppress rpmlint error.
chmod 644 `find . -name "*.c" -perm /111 -print`
chmod 644 `find . -name "*.h" -perm /111 -print`
iconv --from-code ISO8859-1 --to-code UTF-8 ./THANKS \
  --output THANKS.utf-8 && mv THANKS.utf-8 ./THANKS

# Remove rpaths.
sed -i.libdir_syssearch --expression \
  '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
  configure
sed -i.gecko --expression 's|-R\$GECKO_HOME||' configure

# pangox.pc contains rpath linkage on PPC64.
mkdir -p ./PKGCONFIG
sed --expression 's|-R/usr/lib64||' %{_libdir}/pkgconfig/pangox.pc > \
  ./PKGCONFIG/pangox.pc

%build
export PKG_CONFIG_PATH="./PKGCONFIG"
%configure --disable-schemas-install --disable-static \
  --enable-gtk-doc --enable-plugin-devhelp --enable-plugin-glade \
  --enable-plugin-sourceview --enable-plugin-subversion \
  --enable-scrollkeeper \
  --docdir=%{_docdir}/%{name}-%{version} \
  --with-svn-lib=%{_libdir}

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

# Strip unneeded translations from .mo files:
# http://bugzilla.gnome.org/474987
pushd ./po
  grep --invert-match \
    ".*[.]desktop[.]in[.]in$\|.*[.]server[.]in[.]in$" \
    POTFILES.in > POTFILES.keep
  mv POTFILES.keep POTFILES.in
  intltool-update --pot
  for p in *.po; do
    msgmerge $p %{name}.pot > $p.out
    msgfmt -o `basename $p .po`.gmo $p.out
  done
popd

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
mkdir -p $RPM_BUILD_ROOT%{_libdir}/libglade/2.0

# Installs zero-length files necessary for proper behaviour.
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

# Use %doc instead.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

# Some plugins (eg., Git and Subversion) need this.
pushd $RPM_BUILD_ROOT%{_libdir}/libglade/2.0
  ln -s ../../libanjuta.so.0 libanjuta.so
popd

%find_lang %{name}

desktop-file-install --remove-key Encoding --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null || :
fi

%post
/sbin/ldconfig

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}-*.schemas > /dev/null || :

if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

if [ -x %{_bindir}/update-mime-database ];then
  update-mime-database %{_datadir}/mime &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}-*.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig

if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

if [ -x %{_bindir}/update-mime-database ];then
  update-mime-database %{_datadir}/mime &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post doc
scrollkeeper-update -q -o %{_datadir}/omf/%{name}-manual || :

%postun doc
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc MAINTAINERS
%doc NEWS
%doc ROADMAP
%doc THANKS
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{name}-launcher.1*
%{_bindir}/%{name}
%{_bindir}/gbf-am-parse
%{_bindir}/gbf-mkfile-parse
%{_bindir}/%{name}-launcher
%{_bindir}/%{name}-tags
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/glade3/catalogs/anjuta-glade.xml
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-%{name}.svg
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
# No soname.
%{_libdir}/glade3/modules/libgladeanjuta.so
%{_libdir}/libanjuta.so.*
# Symlink to libanjuta.so.*.
%{_libdir}/libglade/2.0/libanjuta.so
%{_sysconfdir}/gconf/schemas/file-manager.schemas
%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%{_sysconfdir}/gconf/schemas/preferences.schemas

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%files devel
%defattr (-,root,root,-)
%doc doc/ScintillaDoc.html
%{_libdir}/libanjuta.so
%{_libdir}/pkgconfig/libanjuta-1.0.pc

%dir %{_datadir}/gtk-doc/html/libanjuta
%doc %{_datadir}/gtk-doc/html/libanjuta/*

%dir %{_includedir}/libanjuta-1.0
%{_includedir}/libanjuta-1.0/libanjuta

%files doc
%defattr(-,root,root,-)

%dir %{_datadir}/gnome/help/%{name}-build-tutorial
%{_datadir}/gnome/help/%{name}-build-tutorial/C

%dir %{_datadir}/gnome/help/%{name}-faqs
%{_datadir}/gnome/help/%{name}-faqs/C

%dir %{_datadir}/gnome/help/%{name}-manual
%{_datadir}/gnome/help/%{name}-manual/*

%dir %{_datadir}/omf/%{name}-manual
%{_datadir}/omf/%{name}-manual/%{name}-manual-*.omf

%changelog
* Tue Feb 16 2010 Debarshi Ray <rishi@fedoraproject.org> - 1:2.28.2.0-1
- Version bump to 2.28.2.0.
  * Class generator plugin:
    + C++ keywords should not be translated. (GNOME Bugzilla #606801)
  * Git plugin:
    + Fixed failure while importing. (GNOME Bugzilla #601567)
  * Symbol-db plugin:
    + Editing some text while searching should not lead to an inconsistent
      state. (GNOME Bugzilla #566209)

* Thu Nov 05 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.28.1.0-2
- Bumped to consume new libgdl soname.

* Thu Oct 29 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.28.1.0-1
- Version bump to 2.28.1.0.
  * Debug manager plugin:
    + Report error when location is < 0 for markers. (GNOME Bugzilla #593954)
  * File loader plugin:
    + Improved drag-and-drop behaviour. (GNOME Bugzilla #567363)
  * GtkSourceView editor plugin:
    + Improved drag-and-drop behaviour. (GNOME Bugzilla #355151)
  * Subversion plugin:
    + Removed duplicate IDs from the Glade file. (GNOME Bugzilla #596001)
  * Symbol-db plugin:
    + Fixed crash when loading a project. (GNOME Bugzilla #597113)
  * Terminal plugin:
    + Prevented it from crashing and freezing X. (GNOME Bugzilla #597318)
  * http://download.gnome.org/sources/anjuta/2.28/anjuta-2.28.1.0.news
- Added 'BuildRequires: GConf2-devel ORBit2-devel' and removed
  'BuildRequires: binutils-devel graphviz-devel libgnomeui-devel pcre-devel'.

* Sat Sep 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.27.92.0-1
- Version bump to 2.27.92.0, rebuild for broken deps.
  * A better Git plugin and working C++ auto-completion.
  * http://download.gnome.org/sources/anjuta/2.27/anjuta-2.27.92.0.news
  * http://download.gnome.org/sources/anjuta/2.27/anjuta-2.27.91.0.news
  * http://download.gnome.org/sources/anjuta/2.27/anjuta-2.27.5.0.news
- Fixed build failures due to missing libxml cflags/libs. (GNOME
  Bugzilla #600407)

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 1:2.27.3.0-3
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 1:2.27.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.27.3.0-1
- Version bump to 2.27.3.0.
  * The Graphviz, profiler, Scintilla, ScratchBox and Valgrind plugins
    are now part of Anjuta Extras. They are no longer shipped with
    this package.
  * Improvements in auto-completion speed.
  * Improvements in Git and Subversion plugins.
  * Ported to GtkBuilder. (GNOME Bugzilla #530740)
  * Git plugin:
    + Commit dialog should have the "amend" option. (GNOME Bugzilla #580340)
  * GTodo plugin:
    + Use g_timeout_add_seconds to reduce wakeups. (GNOME Bugzilla #582710)
  * Language support (C, C++, Java) plugin:
    + Fixed crash when dismissing auto-completion popup and deleting some
      characters. (GNOME Bugzilla #582464)
  * Project wizard plugin:
    + Infer project name from project path. (GNOME Bugzilla #568779)
    + wxWidget projects should not depend on libglade and Gtk+. (GNOME
      Bugzilla #581074)
  * Scintilla editor plugin:
    + Fixed position of tooltips. (GNOME Bugzilla #577721)
  * Search plugin:
    + Point to correct line number. (GNOME Bugzilla #576959)
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.27.3.0.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.27.2.0.news
- Do not drop schemas translations from po files.
- Replaced 'BuildRequires: e2fsprogs-devel' with
  'BuildRequires: libuuid-devel'.
- Removed 'Requires: libglade2 >= 2.6.3-2'.

* Tue Jul 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.2.2-3
- Added patch against class generator plugin to fix wrong copyright and
  license notices. (GNOME Bugzilla #575147)

* Tue Jul 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.2.2-2
- Fixed the value of PACKAGE_DOC_DIR. (GNOME Bugzilla #588506)

* Tue Jul 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.2.2-1
- Version bump to 2.26.2.2.
  * Git plugin:
    + Fixed a crash. (GNOME Bugzilla #584347)
  * Project manager plugin:
    + Fixed segmentation fault when adding a file to a project. (GNOME
      Bugzilla #579118)
    + Make gbf-am-parse work with subdirectory targets. (GNOME Bugzilla
      #580247)
  * Subversion plugin:
    + Do not show a commit number in the info pane if no files are given.
    + Do not crash if no paths are selected for committing.
  * Symbol-db plugin:
    + Fixed viewing of local symbols.
    + Plugged a memory leak that broke completion. (GNOME Bugzilla #585498)
  * Tools plugin:
    + Handle patch files with whitespaces in their names. (GNOME Bugzilla
      #580013)
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.2.2.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.2.1.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.2.0.news
- Explicitly set docdir to /usr/share/doc/anjuta-2.26.2.2.

* Wed Apr 15 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.1.0-1
- Version bump to 2.26.1.0.
  * New animation to identify running builds.
  * File manager plugin:
    + Show tooltips in the Files view only when full name does not fit. (GNOME
      Bugzilla #564002)
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.1.0.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.1.0.changes

* Mon Apr 13 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.0.1-3
- Added 'Requires: ctags libgda-sqlite >= 3.99.7'. (Red Hat Bugzilla #494423)
- Removed 'Requires: libglade2-devel >= 2.6.3-2 libgnomeui-devel pkgconfig'
  from anjuta-devel.

* Sat Apr 11 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.0.1-2
- Replaced 'Obsoletes: gnome-build <= 2.24.1-1' with
  'Obsoletes: gnome-build <= 2.24.1-1.fc10'. (Red Hat Bugzilla #485452).
- Explicitly passed '--enable-scrollkeeper' to configure.

* Tue Apr 07 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.26.0.1-1
- Version bump to 2.26.0.1.
  * Get rid of libgnomecanvas. (GNOME Bugzilla #571740)
  * Huge improvements in the tooltip area.
  * Prevent hang when pressing backspace in the editor.
  * Git plugin:
    + Fixed crash.
  * GtkSourceView editor plugin:
    + Actually save modified files on exit. (GNOME Bugzilla #574376)
  * Language support (C, C++, Java) plugin:
    + Showing calltips should not hinder editing. (GNOME Bugzilla #574802)
  * Scintilla editor plugin:
    + Use line endings correctly. (GNOME Bugzilla #574607)
  * Search plugin:
    + Should point to correct line number. (GNOME Bugzilla #576959)
  * Translation updates: pt_BR, en_GB, da, fi, fr, gl, el, it, ca, pt, sv, es,
    tr, hu, vi, de, sl, ru, ja, mr, ar, th and pl.
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.0.1.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.26/anjuta-2.26.0.1.changes
- configure fixes accepted by upstream.
- Stripped redundant translations from .mo files. (GNOME Bugzilla #474987)

* Tue Mar 10 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.25.903.0-1
- Version bump to 2.25.903.0.
  * Fixed Glade and version control integration.
  * Updated documentation.
  * Automatically select program to run if the project has only one
    executable. (GNOME Bugzilla #564306)
  * Build (basic Autotools) plugin:
    + Save configuration options for build configuration. (GNOME Bugzilla
      #555895)
    + Fixed Valgrind violations. (GNOME Bugzilla #565170)
  * GtkSourceView editor plugin:
    + Make swapping of .h and .c work for C header files. (GNOME Bugzilla
      #556970)
    + Should not crash when closing unsaved file. (GNOME Bugzilla #559806)
    + Fixed crash when closing a read-only file that threw an exception while
      running a program in the debugger. (GNOME Bugzilla #564891)
  * Scintilla editor plugin:
    + Make auto-complete box vanish on backspace. (GNOME Bugzilla #567068)
  * Search plugin:
    + Repaired Find & Replace. (GNOME Bugzilla #571760)
    + Fixed crash when clicking on the results of 'Find in files ...'. (GNOME
      Bugzilla #572608)
  * Symbol-db plugin:
    + Fixed Valgrind violations. (GNOME Bugzilla #572637)
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.903.0.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.903.0.changes
- Fixed configure to correctly handle --enable-plugin-scintilla.
- Upstream no longer installs /usr/bin/benchmark.

* Sun Mar 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1:2.25.902-6
- Bumped to consume new WebKit soname.

* Wed Feb 27 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.25.902-5
- Added 'Provides: perl(GBF::Make)'. Imported from gnome-build. (Red Hat
  Bugzilla #486530)

* Wed Feb 25 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.25.902-4
- Removed 'BuildRequires: libgnomeprintui22-devel'.
- Enabled Glade3 plugin, and added 'Requires: glade3-libglade3ui >= 3.5.7' and
  'BuildRequires: glade3-libgladeui-devel >= 3.5.7'.
- Added 'BuildArch: noarch' to anjuta-doc for
  http://fedoraproject.org/wiki/Features/NoarchSubpackages
- Excluded /usr/bin/benchmark.

* Wed Feb 25 2009 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1:2.25.902-3
- Added 'BuildRequires: libgnomeui-devel unique-devel'.

* Mon Feb 23 2009 Release Engineering <rel-eng@fedoraproject.org> - 1:2.25.902-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 21 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.25.902-1
- Version bump to 2.25.902.
  * Updated code completion, searching and project management.
  * Fixed crash on enabling or disabling a plugin. (GNOME Bugzilla #566785)
  * Fixed plugin description parser. (GNOME Bugzilla #571233)
  * Git plugin:
    + Initialize widgets before adding watches. (GNOME Bugzilla #570929)
  * GtkSourceView editor plugin:
    + Fixed multiple crashes. (GNOME Bugzilla #570492)
    + Fixed crash after clicking Edit/Preferences with an open file. (GNOME
      Bugzilla #571114)
  * Language support (C, C++, Java) plugin:
    + Code completion of symbols. (GNOME Bugzilla #566693)
    + Correctly tab indent function parameters automatically. (GNOME Bugzilla
      #567606)
    + Indent multi-line function declarations correctly. (GNOME Bugzilla
      #571215)
  * Project manager plugin:
    + Enable removal of project variables. (GNOME Bugzilla #556148)
  * Search plugin:
    + Trailing backslashes missing from the find pane. (GNOME Bugzilla #539580)
    + Fixed duplicate matches in search results. (GNOME Bugzilla #565015)
    + Handle find and replace in files containing multi-byte UTF-8 sequences.
      (GNOME Bugzilla #566531)
  * Symbol-db plugin:
    + Display tooltip with prototype when calling a function in the same
      project. (GNOME Bugzilla #566987).
    + Scan user-added packages. (GNOME Bugzilla #570877)
  * Terminal plugin:
    + Fixed multiple crashes. (GNOME Bugzilla #570492)
  * Tools plugin:
    + Fixed crash due to a double free. (GNOME Bugzilla #571143)
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.902.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.902.changes
- Removed unwanted Perl Provides and Requires. Imported from gnome-build.

* Thu Feb 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1:2.25.901-2
- Added 'BuildRequires: perl(Locale::gettext)'.

* Thu Feb 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1:2.25.901-1
- Version bump to 2.25.901.
  * Absorbed gnome-build code. Added 'Obsoletes: gnome-build <= 2.24.1-1'.
  * New starter plugin for fast access to common actions.
  * Improved searching and HIG fixes.
  * Scintilla updated to 1.77.
  * Ported to GLib VFS. (GNOME Bugzilla #511589)
  * Get rid of libgnome(ui) partially. (GNOME Bugzilla #513156)
  * GNOME Goal: removed deprecated GLib symbols. (GNOME Bugzilla #560857)
  * Added Scratchbox2 support. (GNOME Bugzilla #565320)
  * Improved auto-completion and symbol-db.
  * Improved file status display.
  * Ported to GtkPrint. (GNOME Bugzilla #564659)
  * Fixed crash when replacing all in open buffers. (GNOME Bugzilla #570223)
  * Build (basic Autotools) plugin:
    + Build does not start with unsaved files. (GNOME Bugzilla #567206)
  * File loader plugin:
    + Support opening PHP, Ruby, etc. scripts. (GNOME Bugzilla #309664)
  * File manager plugin:
    + Added option to hide unversioned files. (GNOME Bugzilla #570136)
    + Detect modified files. (GNOME Bugzilla #570264)
  * File wizard plugin:
    + Support creation of corresponding header file. (GNOME Bugzilla #562754)
  * GDB plugin:
    + Support remote debugging using GDBServer. (GNOME Bugzilla #503764)
  * Glade plugin:
    + Google Summer of Code 2008: merged integration work. (GNOME Bugzilla
      #542412)
  * GtkSourceView editor plugin:
    + Added go to matching brace, and start/end of block commands. (GNOME
      Bugzilla #563499)
    + Go to tag definition should support symbols ending in a digit. (GNOME
      Bugzilla #567049)
    + Autocomplete box should vanish on backspace. (GNOME Bugzilla #567068)
  * Project wizard plugin:
    + Expand tilde to $HOME. (GNOME Bugzilla #562623)
    + Autogenerated Gtk/GNOME program should exit. (GNOME Bugzilla #564308)
  * Scintilla editor plugin:
    + Spurious reload messages. (GNOME Bugzilla #491491)
  * Subversion plugin:
    + Differentiate between versioned and non-versioned files. (GNOME Bugzilla
      #561370)
    + Added revert command. (GNOME Bugzilla #564988)
    + Diffs should be done from the project root directory. (GNOME Bugzilla
      #566924)
  * Symbol-db plugin:
    + This is now the default. The old CTags and symbol-browser plugins have
      been removed.
    + Go to declaration/definition should support macros. (GNOME Bugzilla
      #566691)
    + Do not hang if project is closed while scanning symbols. (GNOME Bugzilla
      #567067)
    + Allow jumping to declarations in external package header. (GNOME Bugzilla
      #567361)
    + Go to tag definition should support an enum, a global variable, a struct
      or a typedef. (GNOME Bugzilla #567058)
    + Go to declaration/implementation should prefer the current file. (GNOME
      Bugzilla #568028)
    + Scan system packages. (GNOME Bugzilla #568119)
    + Do not freeze when moving around large portions of code. (GNOME Bugzilla
      #568493)
  * Translation updates: es, fr, sv, fi, he, ru, pt_BR and pl.
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.901.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.90.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.5.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.901.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.90.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.25/anjuta-2.25.5.changes
- Patch against Devhelp plugin is now upstream.
- Disabled Glade3 plugin because glade3-3.5.7 is not yet available.

* Sun Jan 04 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.24.2-1
- Version bump to 2.24.2. (Red Hat Bugzilla #478684)
  * Debug manager plugin:
    + Missing debugger menu. (GNOME Bugzilla #559800)
  * Translation updates: pt_BR and si.
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.24/anjuta-2.24.2.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.24/anjuta-2.24.2.changes

* Sat Jan 03 2009 Debarshi Ray <rishi@fedoraproject.org> - 1:2.24.1-3
- Added patch against the Devhelp plugin from GNOME to make it work with the
  new WebKit-based Devhelp >= 0.22. (GNOME Bugzilla #560311, and Red Hat
  Bugzilla #478578)

* Sun Nov 09 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.24.1-2
- Added 'Requires: libglade2 >= 2.6.3-2' and a symlink to libanjuta.so.0 for
  some plugins to work. (Red Hat Bugzilla #467894)

* Tue Oct 28 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.24.1-1
- Version bump to 2.24.1.
  * Build (basic Autotools) plugin:
    + Could not find the .glade file while executing a binary. (GNOME Bugzilla
      #554337)
  * Document manager plugin:
    + Do not disable save when closing file tabs. (GNOME Bugzilla #556053)
  * Translation updates: ar, de, ru, bg, fi, pl, he and da.
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.24/anjuta-2.24.1.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.5/anjuta-2.5.90.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.24/anjuta-2.24.1.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.24/anjuta-2.24.0.1.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.5/anjuta-2.5.90.changes
- Makefile problems fixed by upstream.
- Added 'Requires: git' and 'BuildRequires: e2fsprogs-devel intltool'.
- libanjuta-egg.so has been dropped.

* Sat Sep 20 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.4.2-1
- Version bump to 2.4.2.
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.4/anjuta-2.4.2.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.4/anjuta-2.4.2.changes
- Enabled Valgrind plugin and added 'BuildRequires: binutils-devel'.

* Sat May 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.4.1-1
- Version bump to 2.4.1. (Red Hat Bugzilla #446242)
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.4/anjuta-2.4.1.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.5.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.4.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.3.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.2.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.1.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.4/anjuta-2.4.1.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.5.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.4.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.3.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.2.changes
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.1.changes
- Spurious file modification messages from Scintilla fixed by upstream. (Red
  Hat Bugzilla #447090)

* Tue May 13 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-8
- Added missing header to fix build failure on ia64. (Red Hat Bugzilla #446020)

* Fri Apr 11 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-7
- Restored empty files. (Red Hat Bugzilla #440087)

* Sun Apr 06 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-6
- Added 'Requires: autogen'. (Red Hat Bugzilla #441036)

* Thu Mar 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-5
- Fixed Source0 URL according to Fedora packaging guidelines.
- Removed 'BuildRequires: chrpath' and use better ways of removing rpaths.
- Added Scintilla documentation to anjuta-devel.

* Fri Feb 29 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-4
- Restored 'BuildRequires: chrpath' for removing rpaths.
- Added 'Requires: gtk-doc' for anjuta-devel.

* Fri Feb 29 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-3
- Fixed create_global_tags.sh.in. (Red Hat Bugzilla #228351)
- Enabled Devhelp plugin on Fedora 7.
- Removed 'BuildRequires: chrpath' and use better ways of removing rpaths.
- Removed 'ExcludeArch: ppc64'.
- Fixed post scriplet for the doc subpackage.

* Mon Feb 18 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-2
- Added 'BuildRequires: libgnomeui-devel' to prevent failure on Fedora 7.
- Disabled Devhelp plugin to prevent failure on Fedora 7.

* Sun Jan 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 1:2.2.3-1
- Initial build. Imported SPEC from Rawhide and renamed as anjuta-doc from
  anjuta-docs according to Fedora naming guidelines.
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.2/anjuta-2.2.3.news
  * http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.2/anjuta-2.2.3.changes
